map

Pack: openfigi · Endpoint: https://gateway.pipeworx.io/openfigi/mcp

Map a batch of instrument-id queries → FIGIs.

Parameters

NameTypeRequiredDescription
jobsarrayyesEach job: {idType, idValue, exchCode?, securityType?, marketSecDes?, currency?}.
itemsobjectno
jobunknownno

Example call

Arguments

{
  "jobs": [
    {
      "idType": "TICKER",
      "idValue": "AAPL",
      "exchCode": "UN"
    },
    {
      "idType": "ISIN",
      "idValue": "US0378331005",
      "securityType": "Common Stock"
    }
  ]
}

curl

curl -X POST https://gateway.pipeworx.io/openfigi/mcp \
  -H 'Content-Type: application/json' \
  -d '{"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"map","arguments":{"jobs":[{"idType":"TICKER","idValue":"AAPL","exchCode":"UN"},{"idType":"ISIN","idValue":"US0378331005","securityType":"Common Stock"}]}}}'

TypeScript (@pipeworx/sdk)

import { Pipeworx } from '@pipeworx/sdk';
const pipeworx = new Pipeworx();

const result = await pipeworx.call('map', {
  "jobs": [
    {
      "idType": "TICKER",
      "idValue": "AAPL",
      "exchCode": "UN"
    },
    {
      "idType": "ISIN",
      "idValue": "US0378331005",
      "securityType": "Common Stock"
    }
  ]
});

More examples

{
  "jobs": [
    {
      "idType": "CUSIP",
      "idValue": "594918104",
      "currency": "USD"
    }
  ]
}

Response shape

Always returns: items, count

FieldTypeDescription
itemsarrayArray of mapping results for each job
countintegerNumber of items returned.
Full JSON Schema
{
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "description": "Array of mapping results for each job",
      "items": {
        "type": "object",
        "properties": {
          "query": {
            "type": "object",
            "description": "Original query parameters"
          },
          "result": {
            "type": "array",
            "description": "Array of matching FIGIs",
            "items": {
              "type": "object",
              "description": "FIGI instrument record with id, name, ticker, etc."
            }
          }
        }
      }
    },
    "count": {
      "type": "integer",
      "description": "Number of items returned."
    }
  },
  "required": [
    "items",
    "count"
  ]
}

Connect

Add this to your MCP client config, or use one-click install buttons:

{
  "mcpServers": {
    "openfigi": {
      "url": "https://gateway.pipeworx.io/openfigi/mcp"
    }
  }
}

See Getting Started for client-specific install steps.

Regenerated from source · build July 6, 2026